Bug 74466 - A UNIX/C library of general utilities for programmers with Slack
A UNIX/C library of general utilities for programmers with Slack
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: distribution (Show other bugs)
7.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
http://libslack.org/
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-24 17:02 EDT by Bojan Smojver
Modified: 2014-03-16 22:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-23 23:13:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bojan Smojver 2002-09-24 17:02:34 EDT
This is what the author says about this library:

---------------------------------------------------
Libslack is a library of general utilities designed to make UNIX/C programming a
bit easier on the eye. It is a seemingly random collection of modules and
functions that I find commonly useful. It was originally implemented as part of
the daemon program (although some of the code dates back much further).

It's a small library with lots of functionality, accurately documented and
thoroughly tested. Good library naming conventions are not rigorously observed
on the principle that common operations should always be easy to write and code
should always be easy to read.

Libslack is freely available under the GNU General Public License
---------------------------------------------------

After reading the brilliant documentation that libslack comes with, I think it
would be great if RedHat Linux had libslack in it. It would encourage more C
programmers to write complicated programs in an easy and safe manner.

Bojan

Note You need to log in before you can comment on or make changes to this bug.